Subject: Re: bug#26717: [PATCH] gnu: gitolite: Avoid references to the store in authorized_keys.

From: Clément Lassieur <[email-masked]>
Date: Thu, 04 May 2017 10:50:17 +0200

Clément Lassieur <[email-masked]> writes:

> ng0 <[email-masked]> writes:
>> This looks good. I have yet to test it. Do you think we could fix the hook files of gitolite like this too?
>
> Well, I don't think so because the mechanism used in hooks is different:
> the reference to the store is in the shebang and shebangs need absolute
> paths, they don't look at PATH.  We could use 'env' though, as suggested
> by Marius here:
> http://lists.gnu.org/archive/html/guix-patches/2017-03/msg00339.html.
> As in:
>
>     #!/run/current-system/profile/bin/env perl
>
> Assuming /run/current-system/profile/bin/env exists on all possible
> setups.  WDYT?

This won't work on a non-GuixSD OS.  I can't find a simple solution.